/* This file is part of Mailfromd.             -*- c -*-
   Copyright (C) 2006, 2007, 2008 Sergey Poznyakoff

   This program is free software; you can redistribute it and/or modify
   it under the terms of the GNU General Public License as published by
   the Free Software Foundation; either version 3, or (at your option)
   any later version.

   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.

   You should have received a copy of the GNU General Public License
   along with this program.  If not, see <http://www.gnu.org/licenses/>. */

MF_VAR(rcpt_count, NUMBER);
MF_VAR(ehlo_domain, STRING);
MF_VAR(mailfrom_address, STRING);

/* Functions to access %rcpt_count */
unsigned long
get_rcpt_count(eval_environ_t env)
{
 	return (long) MF_VAR_REF(rcpt_count);
}

void
clear_rcpt_count(eval_environ_t env)
{
	MF_VAR_REF(rcpt_count, 0);
}

void
incr_rcpt_count(eval_environ_t env)
{
	MF_VAR_INC(rcpt_count);
}

void
builtin_post_setup()
{
	struct value val;
	char *smtp_domain;
	mu_get_host_name(&smtp_domain);

	val.type = dtype_string;
	val.v.literal = string_alloc(smtp_domain, strlen(smtp_domain));
	free(smtp_domain);
	ensure_initialized_variable("ehlo_domain", &val);
	
	val.type = dtype_string;
	val.v.literal = string_alloc(DEFAULT_FROM_ADDRESS,
				     sizeof(DEFAULT_FROM_ADDRESS) - 1);
	ensure_initialized_variable("mailfrom_address", &val);
}

MF_INIT
